<?php
@session_start();
@error_reporting(7);
@ini_set('display_errors', true);
@ini_set('html_errors', false);

define('DATALIFEENGINE', true);
define( 'ROOT_DIR', substr( dirname(  __FILE__ ), 0, -12 ) );
define( 'SYSTEM_DIR', ROOT_DIR . '/system' );

include SYSTEM_DIR . '/data/config.php';

require_once SYSTEM_DIR.'/classes/mysql.php';
require_once SYSTEM_DIR.'/data/dbconfig.php';
require_once SYSTEM_DIR . '/modules/functions.php';

  $id = intval( $_REQUEST['id'] );
  if( ! $id ) die( "error" );

  $result = $db->query("SELECT * FROM `". PREFIX ."_rate` WHERE `type_id` = '$id' AND type = 1 ORDER BY `id`");
  $list ="<table width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" border=\"0\" class=\"userstop\">";
  $list .="<thead><td>User</td><td align=\"center\">#</td></thead>";
  while ($row = $db->get_row($result))
  {
      $list .="<tr><td><a href=".$config['http_home_url']."user/".urlencode($row['member'])." target=_blank/>".$row['member']."</a></td><td>".$row['rating']."</td></tr>";
  }
  $list .="</table>";
  $db->free();

@header( "Content-type: text/html; charset=" . $config['charset'] );
echo "<div id='voted-list' title='Статистика голосования' style='display:none'>$list</div>";
?>